## buildah 1.12.0-2

=== Makefile ===
export GOPROXY=https://proxy.golang.org

SELINUXTAG := $(shell ./selinux_tag.sh)
APPARMORTAG := $(shell hack/apparmor_tag.sh)
STORAGETAGS := $(shell ./btrfs_tag.sh) $(shell ./btrfs_installed_tag.sh) $(shell ./libdm_tag.sh)
SECURITYTAGS ?= seccomp $(SELINUXTAG) $(APPARMORTAG)
TAGS ?= $(SECURITYTAGS) $(STORAGETAGS)
BUILDTAGS += $(TAGS)
PREFIX := /usr/local
BINDIR := $(PREFIX)/bin
BASHINSTALLDIR = $(PREFIX)/share/bash-completion/completions
BUILDFLAGS := -tags "$(BUILDTAGS)"
BUILDAH := buildah

GO := go
GO110 := 1.10
GOVERSION := $(findstring $(GO110),$(shell go version))
# test for go module support
ifeq ($(shell go help mod >/dev/null 2>&1 && echo true), true)
export GO_BUILD=GO111MODULE=on $(GO) build -mod=vendor
else
export GO_BUILD=$(GO) build
endif

GIT_COMMIT ?= $(if $(shell git rev-parse --short HEAD),$(shell git rev-parse --short HEAD),$(error "git failed"))
SOURCE_DATE_EPOCH ?= $(if $(shell date +%s),$(shell date +%s),$(error "date failed"))
STATIC_STORAGETAGS = "containers_image_openpgp exclude_graphdriver_devicemapper $(STORAGE_TAGS)"

CNI_COMMIT := $(shell sed -n 's;\tgithub.com/containernetworking/cni \([^ \n]*\).*$\;\1;p' go.mod)
#RUNC_COMMIT := $(shell sed -n 's;\tgithub.com/opencontainers/runc \([^ \n]*\).*$\;\1;p' go.mod)
RUNC_COMMIT := v1.0.0-rc8
LIBSECCOMP_COMMIT := release-2.3

EXTRALDFLAGS :=
LDFLAGS := -ldflags '-X main.GitCommit=$(GIT_COMMIT) -X main.buildInfo=$(SOURCE_DATE_EPOCH) -X main.cniVersion=$(CNI_COMMIT)' $(EXTRALDFLAGS)
SOURCES=*.go imagebuildah/*.go bind/*.go chroot/*.go cmd/buildah/*.go docker/*.go pkg/blobcache/*.go pkg/cli/*.go pkg/parse/*.go util/*.go

all: buildah imgtype docs

.PHONY: static
static: $(SOURCES)
	$(MAKE) SECURITYTAGS="$(SECURITYTAGS)" STORAGETAGS=$(STATIC_STORAGETAGS) EXTRALDFLAGS='-ldflags "-extldflags '-static'"' BUILDAH=buildah.static binary

.PHONY: binary
binary:  $(SOURCES)
	$(GO_BUILD) $(LDFLAGS) -o $(BUILDAH) $(BUILDFLAGS) ./cmd/buildah

buildah: binary

darwin:
	GOOS=darwin $(GO_BUILD) $(LDFLAGS) -o buildah.darwin -tags "containers_image_openpgp" ./cmd/buildah

imgtype: *.go docker/*.go util/*.go tests/imgtype/imgtype.go
	$(GO_BUILD) $(LDFLAGS) -o imgtype $(BUILDFLAGS) ./tests/imgtype/imgtype.go

.PHONY: clean
clean:
	$(RM) -r buildah imgtype build buildah.static buildah.darwin tests/testreport/testreport
	$(MAKE) -C docs clean

.PHONY: docs
docs: install.tools ## build the docs on the host
	$(MAKE) -C docs

# For vendoring to work right, the checkout directory must be such that our top
# level is at $GOPATH/src/github.com/containers/buildah.
.PHONY: gopath
gopath:
	test $(shell pwd) = $(shell cd ../../../../src/github.com/containers/buildah ; pwd)

.PHONY: validate
validate: install.tools
	@./tests/validate/whitespace.sh
	@./tests/validate/git-validation.sh

.PHONY: install.tools
install.tools:
	make -C tests/tools

.PHONY: runc
runc: gopath
	rm -rf ../../opencontainers/runc
	git clone https://github.com/opencontainers/runc ../../opencontainers/runc
	cd ../../opencontainers/runc && git checkout $(RUNC_COMMIT) && $(GO) build -tags "$(STORAGETAGS) $(SECURITYTAGS)"
	ln -sf ../../opencontainers/runc/runc

.PHONY: install.libseccomp.sudo
install.libseccomp.sudo: gopath
	rm -rf ../../seccomp/libseccomp
	git clone https://github.com/seccomp/libseccomp ../../seccomp/libseccomp
	cd ../../seccomp/libseccomp && git checkout $(LIBSECCOMP_COMMIT) && ./autogen.sh && ./configure --prefix=/usr && make all && sudo make install

.PHONY: install.cni.sudo
install.cni.sudo: gopath
	rm -rf ../../containernetworking/plugins
	git clone https://github.com/containernetworking/plugins ../../containernetworking/plugins
	cd ../../containernetworking/plugins && ./build.sh && mkdir -p /opt/cni/bin && sudo install -v -m755 bin/* /opt/cni/bin/

.PHONY: install
install:
	install -D -m0755 buildah $(DESTDIR)/$(BINDIR)/buildah
	$(MAKE) -C docs install

.PHONY: uninstall
uninstall:
	rm -f $(DESTDIR)/$(BINDIR)/buildah
	rm -f $(PREFIX)/share/man/man1/buildah*.1
	rm -f $(DESTDIR)/$(BASHINSTALLDIR)/buildah

.PHONY: install.completions
install.completions:
	install -m 644 -D contrib/completions/bash/buildah $(DESTDIR)/$(BASHINSTALLDIR)/buildah

.PHONY: install.runc
install.runc:
	install -m 755 ../../opencontainers/runc/runc $(DESTDIR)/$(BINDIR)/

.PHONY: test-integration
test-integration: install.tools
	./tests/tools/build/ginkgo $(BUILDFLAGS) -v tests/e2e/.
	cd tests; ./test_runner.sh

tests/testreport/testreport: tests/testreport/testreport.go
	$(GO_BUILD) -ldflags "-linkmode external -extldflags -static" -tags "$(STORAGETAGS) $(SECURITYTAGS)" -o tests/testreport/testreport ./tests/testreport

.PHONY: test-unit
test-unit: tests/testreport/testreport
	$(GO) test -v -tags "$(STOAGETAGS) $(SECURITYTAGS)" -race $(shell $(GO) list ./... | grep -v vendor | grep -v tests | grep -v cmd)
	tmp=$(shell mktemp -d) ; \
	mkdir -p $$tmp/root $$tmp/runroot; \
	$(GO) test -v -tags "$(STORAGETAGS) $(SECURITYTAGS)" ./cmd/buildah -args -root $$tmp/root -runroot $$tmp/runroot -storage-driver vfs -signature-policy $(shell pwd)/tests/policy.json -registries-conf $(shell pwd)/tests/registries.conf

vendor-in-container:
	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src docker.io/library/golang:1.13 make vendor

.PHONY: vendor
vendor:
	export GO111MODULE=on \
		$(GO) mod tidy && \
		$(GO) mod vendor && \
		$(GO) mod verify

.PHONY: lint
lint: install.tools
	./tests/tools/build/golangci-lint run

=== debian/changelog ===
buildah (1.12.0-2) stable; urgency=medium

  * use /usr/bin/go-md2man for building docs 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Thu, 19 Dec 2019 18:22:54 -0500

buildah (1.12.0-1) stable; urgency=medium

  * bump to v1.12.0

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 18 Dec 2019 13:51:02 +0000

buildah (1.11.3-2) stable; urgency=medium

  * rebuild for OBS 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 20 Nov 2019 14:44:19 +0000

buildah (1.11.3-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v1.11.3

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Tue, 15 Oct 2019 12:41:00 +0000

buildah (1.10.1-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v1.10.1

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Fri, 09 Aug 2019 14:30:45 +0000

buildah (1.10.0-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to 1.10.0

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Fri, 02 Aug 2019 17:23:30 +0000

buildah (1.9.2-1~ubuntu19.04~ppa3) disco; urgency=medium

  * rebuild - bump release tag 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 28 Jul 2019 21:48:17 +0000

buildah (1.9.2-1~ubuntu19.04~ppa2) disco; urgency=medium

  * build dep on libbtrfs-dev

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 28 Jul 2019 15:05:32 +0000

buildah (1.9.2-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to 1.9.2

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Sun, 28 Jul 2019 02:54:06 +0000

buildah (1.9.0-1~dev~ubuntu18.04~ppa1) bionic; urgency=medium

  * autobuilt e9184ea

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Fri, 10 May 2019 15:10:50 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa25) bionic; urgency=medium

  * autobuilt 391a5be

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Wed, 17 Apr 2019 23:12:30 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa24) bionic; urgency=medium

  * autobuilt ffd8d6a

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Tue, 16 Apr 2019 23:11:45 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa23) bionic; urgency=medium

  * autobuilt ffd8d6a 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Tue, 16 Apr 2019 19:58:00 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa22) bionic; urgency=medium

  * autobuilt d43787b

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Fri, 12 Apr 2019 23:10:15 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa21) bionic; urgency=medium

  * autobuilt d84dc64

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Thu, 11 Apr 2019 23:09:56 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa20) bionic; urgency=medium

  * autobuilt 021d607

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Tue, 09 Apr 2019 23:08:00 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa19) bionic; urgency=medium

  * autobuilt 610eb7a

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Mon, 08 Apr 2019 23:08:23 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa18) bionic; urgency=medium

  * autobuilt 29f306c

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Mon, 08 Apr 2019 19:09:59 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa17) bionic; urgency=medium

  * autobuilt 29f306c 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 08 Apr 2019 18:53:17 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa16) bionic; urgency=medium

  * autobuilt 29f306c 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 08 Apr 2019 18:37:52 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa15) bionic; urgency=medium

  * autobuilt a6ee26b

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Fri, 05 Apr 2019 23:07:00 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa14) bionic; urgency=medium

  * autobuilt 8dd8e1a

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Thu, 04 Apr 2019 23:06:48 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa13) bionic; urgency=medium

  * autobuilt 9e1967a

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Sun, 31 Mar 2019 23:03:38 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa12) bionic; urgency=medium

  * autobuilt 13d9142

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Fri, 29 Mar 2019 23:02:42 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa11) bionic; urgency=medium

  * autobuilt a9bd025

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Thu, 28 Mar 2019 23:05:42 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa10) bionic; urgency=medium

  * autobuilt c933fe4

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Wed, 27 Mar 2019 23:41:09 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa9) bionic; urgency=medium

  * autobuilt 3d74031

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Tue, 26 Mar 2019 23:00:20 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa8) bionic; urgency=medium

  * autobuilt 03fae01

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Sun, 24 Mar 2019 22:58:56 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa7) bionic; urgency=medium

  * autobuilt d1c75ea

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Sat, 23 Mar 2019 22:58:51 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa6) bionic; urgency=medium

  * autobuilt 180ee7d

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Fri, 22 Mar 2019 22:59:28 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa5) bionic; urgency=medium

  * autobuilt 24c3174

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Thu, 21 Mar 2019 22:59:08 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa4) bionic; urgency=medium

  * autobuilt e6262e3

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Wed, 20 Mar 2019 22:59:17 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa3) bionic; urgency=medium

  * autobuilt 1ba9201

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Tue, 19 Mar 2019 22:58:37 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa2) bionic; urgency=medium

  * autobuilt d0f8515

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Mon, 18 Mar 2019 22:57:49 +0000

buildah (1.8-1~dev~ubuntu18.04~ppa1) bionic; urgency=medium

  * bump to v1.8
  * autobuilt a986f34

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 17 Mar 2019 21:41:28 +0000



=== debian/control ===
Source: buildah
Section: devel
Priority: optional
Maintainer: Lokesh Mandvekar <lsm5@fedoraproject.org>
Build-Depends: debhelper (>=9),
    rsync,
    libassuan-dev,
    libgpgme11-dev,
    dh-golang,
    golang,
    libglib2.0-dev,
    libseccomp-dev,
    go-md2man,
    git
Standards-Version: 3.9.6
Homepage: https://github.com/projectatomic/buildah.git
Vcs-Git: git://github.com/lsm5/buildah.git

Package: buildah
Architecture: any
Depends: ${misc:Depends},
    cri-o-runc,
    libgpgme11,
    libseccomp2,
    containers-common,
    uidmap
Description: A command line tool used for creating OCI images.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1
DH_GOPKG := github.com/containers/buildah

BUILDDIR := $(shell pwd)
#DOCSDIR := $(BUILDDIR)/docs
DESTDIR := $(BUILDDIR)/debian/buildah
PREFIX := $(DESTDIR)/usr
BINDIR := $(PREFIX)/bin
MANDIR := $(PREFIX)/share/man
BASHINSTALLDIR := /usr/share/bash-completion/completions
BUILDTAGS = $(shell ./btrfs_tag.sh) $(shell ./libdm_tag.sh) apparmor containers_image_ostree_stub exclude_graphdriver_btrfs exclude_graphdriver_devicemapper
GO_MD2MAN := /usr/bin/go-md2man
BUILD_INFO=$(shell date +%s)
LDFLAGS="-X main.buildInfo=$(BUILD_INFO)"
GO_BUILD := GOPATH=$(BUILDDIR) GO111MODULE=off /usr/bin/go build
UPSTREAM_TAG=v1.12.0

%:
	dh_clean
	make clean
	rm -rf $(BUILDDIR)/src
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=golang
	# Include vendored dependencies.
	cp -rp $(BUILDDIR)/vendor $(BUILDDIR)/src
	mkdir -p $(BUILDDIR)/src/github.com/containers
	ln -s $(BUILDDIR) $(BUILDDIR)/src/$(DH_GOPKG)

override_dh_auto_build:
	$(GO_BUILD) -ldflags $(LDFLAGS) -tags "$(BUILDTAGS)" -o buildah $(DH_GOPKG)/cmd/buildah
	$(GO_BUILD) -ldflags $(LDFLAGS) -tags "$(BUILDTAGS)" -o imgtype $(DH_GOPKG)/tests/imgtype
	make GO_MD2MAN=$(GO_MD2MAN) docs
	rm -rf $(BUILDDIR)/obj-*-linux-gnu

override_dh_auto_test:

override_dh_auto_install:
	GOPATH=$(BUILDDIR) make DESTDIR=$(DESTDIR) PREFIX=$(PREFIX) install

override_dh_golang:

## buildah 1.13.2~1

=== Makefile ===
--- 
+++ 
@@ -18,8 +18,10 @@
 # test for go module support
 ifeq ($(shell go help mod >/dev/null 2>&1 && echo true), true)
 export GO_BUILD=GO111MODULE=on $(GO) build -mod=vendor
+export GO_TEST=GO111MODULE=on $(GO) test -mod=vendor
 else
 export GO_BUILD=$(GO) build
+export GO_TEST=$(GO) test
 endif
 
 GIT_COMMIT ?= $(if $(shell git rev-parse --short HEAD),$(shell git rev-parse --short HEAD),$(error "git failed"))
@@ -67,6 +69,9 @@
 .PHONY: gopath
 gopath:
 	test $(shell pwd) = $(shell cd ../../../../src/github.com/containers/buildah ; pwd)
+
+codespell:
+	codespell -S build,buildah,buildah.spec,imgtype,AUTHORS,bin,vendor,.git,go.sum,CHANGELOG.md,changelog.txt,seccomp.json,.cirrus.yml,"*.xz,*.gz,*.tar,*.tgz,*ico,*.png,*.1,*.5,*.orig,*.rej" -L uint,iff,od
 
 .PHONY: validate
 validate: install.tools
@@ -125,10 +130,10 @@
 
 .PHONY: test-unit
 test-unit: tests/testreport/testreport
-	$(GO) test -v -tags "$(STOAGETAGS) $(SECURITYTAGS)" -race $(shell $(GO) list ./... | grep -v vendor | grep -v tests | grep -v cmd)
+	$(GO_TEST) -v -tags "$(STORAGETAGS) $(SECURITYTAGS)" -race $(shell $(GO) list ./... | grep -v vendor | grep -v tests | grep -v cmd)
 	tmp=$(shell mktemp -d) ; \
 	mkdir -p $$tmp/root $$tmp/runroot; \
-	$(GO) test -v -tags "$(STORAGETAGS) $(SECURITYTAGS)" ./cmd/buildah -args -root $$tmp/root -runroot $$tmp/runroot -storage-driver vfs -signature-policy $(shell pwd)/tests/policy.json -registries-conf $(shell pwd)/tests/registries.conf
+	$(GO_TEST) -v -tags "$(STORAGETAGS) $(SECURITYTAGS)" ./cmd/buildah -args -root $$tmp/root -runroot $$tmp/runroot -storage-driver vfs -signature-policy $(shell pwd)/tests/policy.json -registries-conf $(shell pwd)/tests/registries.conf
 
 vendor-in-container:
 	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src docker.io/library/golang:1.13 make vendor

=== debian/changelog ===
buildah (1.13.2~1) testing; urgency=medium

  * autobuilt v1.13.2

 -- RH Container Bot <rhcontainerbot@fedoraproject.org>  Fri, 31 Jan 2020 16:10:31 +0000

buildah (1.12.0-6) stable; urgency=medium

  * use containers-common >= 0.1.40-9 and containers-image >= 5.1.0~2 for registries.conf update

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Tue, 28 Jan 2020 09:30:00 -0500

buildah (1.12.0-5) stable; urgency=medium

  * use /usr/bin/go-md2man in build process 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 22 Jan 2020 18:43:07 +0530

buildah (1.12.0-4) stable; urgency=medium

  * use runc instead of cri-o-runc 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 22 Jan 2020 17:46:25 +0530

buildah (1.12.0-3) stable; urgency=medium

  * ensure binary is installed to the right path

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Thu, 16 Jan 2020 13:50:47 +0000

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
 Package: buildah
 Architecture: any
 Depends: ${misc:Depends},
-    cri-o-runc,
+    containers-common(>=0.1.40-9),
     libgpgme11,
     libseccomp2,
-    containers-common,
+    runc,
     uidmap
 Description: A command line tool used for creating OCI images.

=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,13 @@
 PREFIX := $(DESTDIR)/usr
 BINDIR := $(PREFIX)/bin
 MANDIR := $(PREFIX)/share/man
-BASHINSTALLDIR := /usr/share/bash-completion/completions
+BASHINSTALLDIR := $(PREFIX)/share/bash-completion/completions
 BUILDTAGS = $(shell ./btrfs_tag.sh) $(shell ./libdm_tag.sh) apparmor containers_image_ostree_stub exclude_graphdriver_btrfs exclude_graphdriver_devicemapper
-GO_MD2MAN := /usr/bin/go-md2man
+GOMD2MAN := /usr/bin/go-md2man
 BUILD_INFO=$(shell date +%s)
 LDFLAGS="-X main.buildInfo=$(BUILD_INFO)"
 GO_BUILD := GOPATH=$(BUILDDIR) GO111MODULE=off /usr/bin/go build
-UPSTREAM_TAG=v1.12.0
+UPSTREAM_TAG=v1.13.2
 
 %:
 	dh_clean
@@ -33,13 +33,19 @@
 override_dh_auto_build:
 	$(GO_BUILD) -ldflags $(LDFLAGS) -tags "$(BUILDTAGS)" -o buildah $(DH_GOPKG)/cmd/buildah
 	$(GO_BUILD) -ldflags $(LDFLAGS) -tags "$(BUILDTAGS)" -o imgtype $(DH_GOPKG)/tests/imgtype
-	make GO_MD2MAN=$(GO_MD2MAN) docs
+	make GOMD2MAN=$(GOMD2MAN) docs
 	rm -rf $(BUILDDIR)/obj-*-linux-gnu
 
 override_dh_auto_test:
 
 override_dh_auto_install:
-	GOPATH=$(BUILDDIR) make DESTDIR=$(DESTDIR) PREFIX=$(PREFIX) install
+	# install binary
+	install -D -m0755 buildah $(BINDIR)/buildah
+	# install manpages
+	install -d $(MANDIR)/man1
+	install -m 0644 docs/buildah*.1 $(MANDIR)/man1
+	# install bash completion
+	install -m 644 -D contrib/completions/bash/buildah $(BASHINSTALLDIR)/buildah
 
 override_dh_golang:

## buildah 1.14.0~1

=== debian/changelog ===
buildah (1.14.0~1) testing; urgency=medium

  * autobuilt v1.14.0

 -- RH Container Bot <rhcontainerbot@fedoraproject.org>  Fri, 07 Feb 2020 23:19:19 +0000

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 BUILD_INFO=$(shell date +%s)
 LDFLAGS="-X main.buildInfo=$(BUILD_INFO)"
 GO_BUILD := GOPATH=$(BUILDDIR) GO111MODULE=off /usr/bin/go build
-UPSTREAM_TAG=v1.13.2
+UPSTREAM_TAG=v1.14.0
 
 %:
 	dh_clean
